<template>
  <div id="nav">
    <router-link to="/">Home</router-link>
    <span v-if="!me">
      |
      <router-link to="/login">Login</router-link> |
      <router-link to="/register">Register</router-link>
    </span>
    <span v-else>
      |
      <router-link to="/profile">Profile</router-link> |
      <span class="link" @click="logoutMe">Logout</span>
    </span>
  </div>
</template>

<script>
import { mapActions } from "vuex";

export default {
  computed: {
    me() {
      return this.$store.state.users.me;
    },
  },
  methods: {
    ...mapActions(["logoutMe"])
  },
};
</script>
